Set reader display

Terminal
Reader
Set reader display

Sets the reader display to show cart details.

Parameters

  • typeenumRequired

    Type of information to display. Only cart is currently supported.

  • cartDictionary

    Cart details to display on the reader screen, including line items, amounts, and currency.

    • cart.currencyenumRequired

      Three-letter ISO currency code, in lowercase. Must be a supported currency.

    • cart.line_itemsarray of DictionariesRequired

      Array of line items to display.

      • cart.line_items.amountintegerRequired

        The price of the item in the smallest currency unit.

      • cart.line_items.descriptionstringRequired

        The description or name of the item.

      • cart.line_items.quantityintegerRequired

        The quantity of the line item being purchased.

    • cart.totalintegerRequired

      Total balance of cart due in the smallest currency unit.

    • cart.taxinteger

      The amount of tax in the smallest currency unit.

Returns

Returns an updated Reader resource.

POST /v1/terminal/readers/:id/set_reader_display
StripeConfiguration.ApiKey = "sk_test_BQokikJ...2HlWgH4olfQ2sk_test_BQokikJOvBiI2HlWgH4olfQ2";
var options = new Stripe.Terminal.ReaderSetReaderDisplayOptions
{
Type = "cart",
Cart = new Stripe.Terminal.ReaderCartOptions
{
Currency = "usd",
LineItems = new List<Stripe.Terminal.ReaderCartLineItemOptions>
{
new Stripe.Terminal.ReaderCartLineItemOptions
{
Amount = 5100,
Description = "Red t-shirt",
Quantity = 1,
},
},
Tax = 100,
Total = 5200,
},
};
var service = new Stripe.Terminal.ReaderService();
Stripe.Terminal.Reader reader = service.SetReaderDisplay(
"tmr_FDOt2wlRZEdpd7",
options);
Response
{
"id": "tmr_FDOt2wlRZEdpd7",
"object": "terminal.reader",
"action": {
"failure_code": null,
"failure_message": null,
"set_reader_display": {
"cart": {
"currency": "usd",
"line_items": [
{
"amount": 5100,
"description": "Red t-shirt",
"quantity": 1
}
],
"tax": 100,
"total": 5200
},
"type": "cart"
},
"status": "in_progress",
"type": "set_reader_display"
},
"device_sw_version": "2.37.2.0",
"device_type": "simulated_wisepos_e",
"ip_address": "0.0.0.0",
"label": "Blue Rabbit",
"last_seen_at": 1695166525506,
"livemode": false,
"location": "tml_FDOtHwxAAdIJOh",
"metadata": {},
"serial_number": "259cd19c-b902-4730-96a1-09183be6e7f7",
"status": "online"
}